--
-- PostgreSQL database dump
--

-- Dumped from database version 10.4
-- Dumped by pg_dump version 13.2

-- Started on 2021-06-10 08:58:00

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

--
-- TOC entry 196 (class 1259 OID 16808)
-- Name: aiw_capital_phase_tbl; Type: TABLE; Schema: public; Owner: twuser
--

CREATE TABLE public.aiw_capital_phase_tbl (
    phase_uuid text NOT NULL,
    aiw_project_uuid text,
    project_phase_number integer,
    scope_description character varying(50),
    consultant_company_name text,
    contractor_company_name text,
    start_date date,
    commissioning_date date,
    status integer
);


ALTER TABLE public.aiw_capital_phase_tbl OWNER TO twuser;

--
-- TOC entry 197 (class 1259 OID 16816)
-- Name: aiw_ghost_wms_asset_record_tbl; Type: TABLE; Schema: public; Owner: twuser
--

CREATE TABLE public.aiw_ghost_wms_asset_record_tbl (
    wms_asset_record_id text NOT NULL,
    phase_uuid text
);


ALTER TABLE public.aiw_ghost_wms_asset_record_tbl OWNER TO twuser;

--
-- TOC entry 198 (class 1259 OID 16824)
-- Name: aiw_ghost_wms_role_record_tbl; Type: TABLE; Schema: public; Owner: twuser
--

CREATE TABLE public.aiw_ghost_wms_role_record_tbl (
    wms_role_record_id text NOT NULL,
    phase_uuid text NOT NULL
);


ALTER TABLE public.aiw_ghost_wms_role_record_tbl OWNER TO twuser;

--
-- TOC entry 199 (class 1259 OID 16832)
-- Name: aiw_instance_tbl; Type: TABLE; Schema: public; Owner: twuser
--

CREATE TABLE public.aiw_instance_tbl (
    aiw_project_uuid text NOT NULL,
    design_rfp_number text,
    scope_description text,
    design_consultant_company_name text,
    site_of_project text
);


ALTER TABLE public.aiw_instance_tbl OWNER TO twuser;

--
-- TOC entry 200 (class 1259 OID 16840)
-- Name: aiw_real_asset_record_tbl; Type: TABLE; Schema: public; Owner: twuser
--

CREATE TABLE public.aiw_real_asset_record_tbl (
    asset_id integer NOT NULL,
    project_phase_uuid text,
    new_asset boolean,
    wms_asset_record_id text,
    aiw_asset_id text,
    asset_manufacturer_verified_n_new text,
    asset_model_verified_n_new text,
    mfr_serial_on_wms_record text,
    mfr_serial_verified_n_new text,
    asset_classification_on_wms_record text,
    asset_classification_verified_n_new text,
    existing_asset_moved boolean,
    existing_asset_decommissioned boolean,
    existing_asset_removed boolean,
    occupied_role_id_on_wms_record text,
    occupied_role_id_verified text,
    occupied_role_id_final text
);


ALTER TABLE public.aiw_real_asset_record_tbl OWNER TO twuser;

--
-- TOC entry 201 (class 1259 OID 16848)
-- Name: aiw_real_role_record_tbl; Type: TABLE; Schema: public; Owner: twuser
--

CREATE TABLE public.aiw_real_role_record_tbl (
    aiw_role_id text NOT NULL,
    project_phase_uuid text,
    new_role boolean,
    wms_role_record_id integer,
    entity_number_on_wms_record text,
    etms_role_record_id integer,
    entity_number_on_etms_record text,
    entity_number_verified text,
    entity_number_final text,
    existing_role_to_be_eliminated boolean,
    parent_role_id_on_wms_record text,
    parent_role_id_verified text
);


ALTER TABLE public.aiw_real_role_record_tbl OWNER TO twuser;

--
-- TOC entry 3168 (class 0 OID 16808)
-- Dependencies: 196
-- Data for Name: aiw_capital_phase_tbl; Type: TABLE DATA; Schema: public; Owner: twuser
--

INSERT INTO public.aiw_capital_phase_tbl (phase_uuid, aiw_project_uuid, project_phase_number, scope_description, consultant_company_name, contractor_company_name, start_date, commissioning_date, status) VALUES ('Project-UUID-1-PH-1', 'Project-UUID-1', 1, NULL, 'AECOM', 'Alberici', '2015-07-07', '2018-07-07', 1);
INSERT INTO public.aiw_capital_phase_tbl (phase_uuid, aiw_project_uuid, project_phase_number, scope_description, consultant_company_name, contractor_company_name, start_date, commissioning_date, status) VALUES ('Project-UUID-1-PH-2', 'Project-UUID-1', 2, NULL, 'WSP', 'Bennett', '2019-07-07', '2021-07-07', 2);


--
-- TOC entry 3169 (class 0 OID 16816)
-- Dependencies: 197
-- Data for Name: aiw_ghost_wms_asset_record_tbl; Type: TABLE DATA; Schema: public; Owner: twuser
--

INSERT INTO public.aiw_ghost_wms_asset_record_tbl (wms_asset_record_id, phase_uuid) VALUES ('WMS-Asset-3', 'Project-UUID-1-PH-1');


--
-- TOC entry 3170 (class 0 OID 16824)
-- Dependencies: 198
-- Data for Name: aiw_ghost_wms_role_record_tbl; Type: TABLE DATA; Schema: public; Owner: twuser
--

INSERT INTO public.aiw_ghost_wms_role_record_tbl (wms_role_record_id, phase_uuid) VALUES ('R-8', 'Project-UUID-1-PH-1');
INSERT INTO public.aiw_ghost_wms_role_record_tbl (wms_role_record_id, phase_uuid) VALUES ('R-11', 'Project-UUID-1-PH-2');


--
-- TOC entry 3171 (class 0 OID 16832)
-- Dependencies: 199
-- Data for Name: aiw_instance_tbl; Type: TABLE DATA; Schema: public; Owner: twuser
--

INSERT INTO public.aiw_instance_tbl (aiw_project_uuid, design_rfp_number, scope_description, design_consultant_company_name, site_of_project) VALUES ('Project-UUID-1', 'RFP092358', 'Rehabilitation and Capacity Upgrade of System 1', 'Jacobs Engineering', 'THC');


--
-- TOC entry 3172 (class 0 OID 16840)
-- Dependencies: 200
-- Data for Name: aiw_real_asset_record_tbl; Type: TABLE DATA; Schema: public; Owner: twuser
--

INSERT INTO public.aiw_real_asset_record_tbl (asset_id, project_phase_uuid, new_asset, wms_asset_record_id, aiw_asset_id, asset_manufacturer_verified_n_new, asset_model_verified_n_new, mfr_serial_on_wms_record, mfr_serial_verified_n_new, asset_classification_on_wms_record, asset_classification_verified_n_new, existing_asset_moved, existing_asset_decommissioned, existing_asset_removed, occupied_role_id_on_wms_record, occupied_role_id_verified, occupied_role_id_final) VALUES (1, 'Project-UUID-1-PH-1', false, 'WMS-Asset-1', NULL, NULL, NULL, '7089', '7089x', 'Blower', 'Blower', false, true, true, 'R-9', 'R-9', NULL);
INSERT INTO public.aiw_real_asset_record_tbl (asset_id, project_phase_uuid, new_asset, wms_asset_record_id, aiw_asset_id, asset_manufacturer_verified_n_new, asset_model_verified_n_new, mfr_serial_on_wms_record, mfr_serial_verified_n_new, asset_classification_on_wms_record, asset_classification_verified_n_new, existing_asset_moved, existing_asset_decommissioned, existing_asset_removed, occupied_role_id_on_wms_record, occupied_role_id_verified, occupied_role_id_final) VALUES (2, 'Project-UUID-1-PH-1', false, 'WMS-Asset-2', NULL, NULL, NULL, '9', '17210375', 'Valve', 'Valve', false, true, true, 'R-10', 'R-10', NULL);
INSERT INTO public.aiw_real_asset_record_tbl (asset_id, project_phase_uuid, new_asset, wms_asset_record_id, aiw_asset_id, asset_manufacturer_verified_n_new, asset_model_verified_n_new, mfr_serial_on_wms_record, mfr_serial_verified_n_new, asset_classification_on_wms_record, asset_classification_verified_n_new, existing_asset_moved, existing_asset_decommissioned, existing_asset_removed, occupied_role_id_on_wms_record, occupied_role_id_verified, occupied_role_id_final) VALUES (3, 'Project-UUID-1-PH-1', false, 'WMS-Asset-4', NULL, NULL, NULL, '11', '2983465027', 'Processing Tank, Aeration', 'Processing Tank, Aeration', false, false, false, 'R-13', 'R-13', 'R-13');
INSERT INTO public.aiw_real_asset_record_tbl (asset_id, project_phase_uuid, new_asset, wms_asset_record_id, aiw_asset_id, asset_manufacturer_verified_n_new, asset_model_verified_n_new, mfr_serial_on_wms_record, mfr_serial_verified_n_new, asset_classification_on_wms_record, asset_classification_verified_n_new, existing_asset_moved, existing_asset_decommissioned, existing_asset_removed, occupied_role_id_on_wms_record, occupied_role_id_verified, occupied_role_id_final) VALUES (4, 'Project-UUID-1-PH-1', false, 'WMS-Asset-5', NULL, NULL, NULL, '12', '89762-426', 'Valve', 'Valve', true, true, true, 'R-14', 'R-14', NULL);
INSERT INTO public.aiw_real_asset_record_tbl (asset_id, project_phase_uuid, new_asset, wms_asset_record_id, aiw_asset_id, asset_manufacturer_verified_n_new, asset_model_verified_n_new, mfr_serial_on_wms_record, mfr_serial_verified_n_new, asset_classification_on_wms_record, asset_classification_verified_n_new, existing_asset_moved, existing_asset_decommissioned, existing_asset_removed, occupied_role_id_on_wms_record, occupied_role_id_verified, occupied_role_id_final) VALUES (5, 'Project-UUID-1-PH-1', false, 'WMS-Asset-6', NULL, NULL, NULL, '13', '2098372a', 'Instrumentation', 'Instrumentation', true, false, false, 'R-15', 'R-15', 'R-4');
INSERT INTO public.aiw_real_asset_record_tbl (asset_id, project_phase_uuid, new_asset, wms_asset_record_id, aiw_asset_id, asset_manufacturer_verified_n_new, asset_model_verified_n_new, mfr_serial_on_wms_record, mfr_serial_verified_n_new, asset_classification_on_wms_record, asset_classification_verified_n_new, existing_asset_moved, existing_asset_decommissioned, existing_asset_removed, occupied_role_id_on_wms_record, occupied_role_id_verified, occupied_role_id_final) VALUES (6, 'Project-UUID-1-PH-1', false, NULL, 'MissedID01', NULL, NULL, NULL, '5341v6zf', NULL, 'valve', false, false, false, NULL, 'R-16', 'R-16');
INSERT INTO public.aiw_real_asset_record_tbl (asset_id, project_phase_uuid, new_asset, wms_asset_record_id, aiw_asset_id, asset_manufacturer_verified_n_new, asset_model_verified_n_new, mfr_serial_on_wms_record, mfr_serial_verified_n_new, asset_classification_on_wms_record, asset_classification_verified_n_new, existing_asset_moved, existing_asset_decommissioned, existing_asset_removed, occupied_role_id_on_wms_record, occupied_role_id_verified, occupied_role_id_final) VALUES (7, 'Project-UUID-1-PH-1', false, NULL, 'MissedID02', NULL, NULL, NULL, 'ls0a9', NULL, 'valve', false, false, false, NULL, 'R-17', 'R-17');
INSERT INTO public.aiw_real_asset_record_tbl (asset_id, project_phase_uuid, new_asset, wms_asset_record_id, aiw_asset_id, asset_manufacturer_verified_n_new, asset_model_verified_n_new, mfr_serial_on_wms_record, mfr_serial_verified_n_new, asset_classification_on_wms_record, asset_classification_verified_n_new, existing_asset_moved, existing_asset_decommissioned, existing_asset_removed, occupied_role_id_on_wms_record, occupied_role_id_verified, occupied_role_id_final) VALUES (8, 'Project-UUID-1-PH-2', true, NULL, 'A-1', NULL, NULL, NULL, 'msadsfl9', NULL, 'valve', false, false, false, NULL, NULL, 'R-5');
INSERT INTO public.aiw_real_asset_record_tbl (asset_id, project_phase_uuid, new_asset, wms_asset_record_id, aiw_asset_id, asset_manufacturer_verified_n_new, asset_model_verified_n_new, mfr_serial_on_wms_record, mfr_serial_verified_n_new, asset_classification_on_wms_record, asset_classification_verified_n_new, existing_asset_moved, existing_asset_decommissioned, existing_asset_removed, occupied_role_id_on_wms_record, occupied_role_id_verified, occupied_role_id_final) VALUES (9, 'Project-UUID-1-PH-2', true, NULL, 'A-2', NULL, NULL, NULL, 'l2089079874', NULL, 'valve', false, false, false, NULL, NULL, 'R-6');
INSERT INTO public.aiw_real_asset_record_tbl (asset_id, project_phase_uuid, new_asset, wms_asset_record_id, aiw_asset_id, asset_manufacturer_verified_n_new, asset_model_verified_n_new, mfr_serial_on_wms_record, mfr_serial_verified_n_new, asset_classification_on_wms_record, asset_classification_verified_n_new, existing_asset_moved, existing_asset_decommissioned, existing_asset_removed, occupied_role_id_on_wms_record, occupied_role_id_verified, occupied_role_id_final) VALUES (10, 'Project-UUID-1-PH-2', true, NULL, 'A-3', NULL, NULL, NULL, 'l2089079875', NULL, 'valve', false, false, false, NULL, NULL, 'R-7');
INSERT INTO public.aiw_real_asset_record_tbl (asset_id, project_phase_uuid, new_asset, wms_asset_record_id, aiw_asset_id, asset_manufacturer_verified_n_new, asset_model_verified_n_new, mfr_serial_on_wms_record, mfr_serial_verified_n_new, asset_classification_on_wms_record, asset_classification_verified_n_new, existing_asset_moved, existing_asset_decommissioned, existing_asset_removed, occupied_role_id_on_wms_record, occupied_role_id_verified, occupied_role_id_final) VALUES (11, 'Project-UUID-1-PH-1', true, NULL, 'A-4', NULL, NULL, NULL, 'l2089079876', NULL, 'valve', false, false, false, NULL, NULL, 'R-9');
INSERT INTO public.aiw_real_asset_record_tbl (asset_id, project_phase_uuid, new_asset, wms_asset_record_id, aiw_asset_id, asset_manufacturer_verified_n_new, asset_model_verified_n_new, mfr_serial_on_wms_record, mfr_serial_verified_n_new, asset_classification_on_wms_record, asset_classification_verified_n_new, existing_asset_moved, existing_asset_decommissioned, existing_asset_removed, occupied_role_id_on_wms_record, occupied_role_id_verified, occupied_role_id_final) VALUES (12, 'Project-UUID-1-PH-1', true, NULL, 'A-5', NULL, NULL, NULL, 'l2089079877', NULL, 'valve', false, false, false, NULL, NULL, 'R-10');


--
-- TOC entry 3173 (class 0 OID 16848)
-- Dependencies: 201
-- Data for Name: aiw_real_role_record_tbl; Type: TABLE DATA; Schema: public; Owner: twuser
--

INSERT INTO public.aiw_real_role_record_tbl (aiw_role_id, project_phase_uuid, new_role, wms_role_record_id, entity_number_on_wms_record, etms_role_record_id, entity_number_on_etms_record, entity_number_verified, entity_number_final, existing_role_to_be_eliminated, parent_role_id_on_wms_record, parent_role_id_verified) VALUES ('R-2', 'Project-UUID-1-PH-1', false, 2, 'Role-EN-1', 32, 'Role-EN-1', 'Role-EN-1', 'Role-EN-1', false, 'R-1', 'R-1');
INSERT INTO public.aiw_real_role_record_tbl (aiw_role_id, project_phase_uuid, new_role, wms_role_record_id, entity_number_on_wms_record, etms_role_record_id, entity_number_on_etms_record, entity_number_verified, entity_number_final, existing_role_to_be_eliminated, parent_role_id_on_wms_record, parent_role_id_verified) VALUES ('R-9', 'Project-UUID-1-PH-1', false, 8, 'Role-EN-007', 154, 'Role-EN-007', 'Role-EN-7', 'Role-EN-7', false, 'R-8', 'R-8');
INSERT INTO public.aiw_real_role_record_tbl (aiw_role_id, project_phase_uuid, new_role, wms_role_record_id, entity_number_on_wms_record, etms_role_record_id, entity_number_on_etms_record, entity_number_verified, entity_number_final, existing_role_to_be_eliminated, parent_role_id_on_wms_record, parent_role_id_verified) VALUES ('R-10', 'Project-UUID-1-PH-1', false, 9, 'Role-EN-8', 35, 'Role-EN-8', 'Role-EN-8', 'Role-EN-8', false, 'R-8', 'R-8');
INSERT INTO public.aiw_real_role_record_tbl (aiw_role_id, project_phase_uuid, new_role, wms_role_record_id, entity_number_on_wms_record, etms_role_record_id, entity_number_on_etms_record, entity_number_verified, entity_number_final, existing_role_to_be_eliminated, parent_role_id_on_wms_record, parent_role_id_verified) VALUES ('R-12', 'Project-UUID-1-PH-1', false, 5, 'Role-EN-4', 12, 'Role-EN-4', 'Role-EN-4', 'Role-EN-5', false, 'R-2', 'R-2');
INSERT INTO public.aiw_real_role_record_tbl (aiw_role_id, project_phase_uuid, new_role, wms_role_record_id, entity_number_on_wms_record, etms_role_record_id, entity_number_on_etms_record, entity_number_verified, entity_number_final, existing_role_to_be_eliminated, parent_role_id_on_wms_record, parent_role_id_verified) VALUES ('R-13', 'Project-UUID-1-PH-1', false, 11, 'Role-EN-10', 987, 'Role-EN-10', 'Role-EN-10', 'Role-EN-10', false, 'R-12', 'R-12');
INSERT INTO public.aiw_real_role_record_tbl (aiw_role_id, project_phase_uuid, new_role, wms_role_record_id, entity_number_on_wms_record, etms_role_record_id, entity_number_on_etms_record, entity_number_verified, entity_number_final, existing_role_to_be_eliminated, parent_role_id_on_wms_record, parent_role_id_verified) VALUES ('R-14', 'Project-UUID-1-PH-1', false, 12, 'Role-EN-11', NULL, 'Role-EN-11', 'Role-EN-11', 'Role-EN-11', true, 'R-12', 'R-12');
INSERT INTO public.aiw_real_role_record_tbl (aiw_role_id, project_phase_uuid, new_role, wms_role_record_id, entity_number_on_wms_record, etms_role_record_id, entity_number_on_etms_record, entity_number_verified, entity_number_final, existing_role_to_be_eliminated, parent_role_id_on_wms_record, parent_role_id_verified) VALUES ('R-15', 'Project-UUID-1-PH-1', false, 13, 'Role-EN-12', 94, 'Role-EN-12', 'Role-EN-12', 'Role-EN-12', true, 'R-12', 'R-12');
INSERT INTO public.aiw_real_role_record_tbl (aiw_role_id, project_phase_uuid, new_role, wms_role_record_id, entity_number_on_wms_record, etms_role_record_id, entity_number_on_etms_record, entity_number_verified, entity_number_final, existing_role_to_be_eliminated, parent_role_id_on_wms_record, parent_role_id_verified) VALUES ('R-16', 'Project-UUID-1-PH-1', false, NULL, NULL, NULL, NULL, 'Role-EN-21', 'Role-EN-21', false, 'R-12', 'R-12');
INSERT INTO public.aiw_real_role_record_tbl (aiw_role_id, project_phase_uuid, new_role, wms_role_record_id, entity_number_on_wms_record, etms_role_record_id, entity_number_on_etms_record, entity_number_verified, entity_number_final, existing_role_to_be_eliminated, parent_role_id_on_wms_record, parent_role_id_verified) VALUES ('R-17', 'Project-UUID-1-PH-1', false, NULL, NULL, 1034, 'Role-EN-22', 'Role-EN-22', 'Role-EN-22', false, 'R-12', 'R-12');
INSERT INTO public.aiw_real_role_record_tbl (aiw_role_id, project_phase_uuid, new_role, wms_role_record_id, entity_number_on_wms_record, etms_role_record_id, entity_number_on_etms_record, entity_number_verified, entity_number_final, existing_role_to_be_eliminated, parent_role_id_on_wms_record, parent_role_id_verified) VALUES ('R-3', 'Project-UUID-1-PH-2', true, NULL, NULL, NULL, NULL, NULL, 'Role-EN-19(new)', false, NULL, 'R-2');
INSERT INTO public.aiw_real_role_record_tbl (aiw_role_id, project_phase_uuid, new_role, wms_role_record_id, entity_number_on_wms_record, etms_role_record_id, entity_number_on_etms_record, entity_number_verified, entity_number_final, existing_role_to_be_eliminated, parent_role_id_on_wms_record, parent_role_id_verified) VALUES ('R-4', 'Project-UUID-1-PH-2', true, NULL, NULL, NULL, NULL, NULL, 'Role-EN-20(new)', false, NULL, 'R-3');
INSERT INTO public.aiw_real_role_record_tbl (aiw_role_id, project_phase_uuid, new_role, wms_role_record_id, entity_number_on_wms_record, etms_role_record_id, entity_number_on_etms_record, entity_number_verified, entity_number_final, existing_role_to_be_eliminated, parent_role_id_on_wms_record, parent_role_id_verified) VALUES ('R-5', 'Project-UUID-1-PH-2', true, NULL, NULL, NULL, NULL, NULL, 'Role-EN-23(new)', false, NULL, 'R-3');
INSERT INTO public.aiw_real_role_record_tbl (aiw_role_id, project_phase_uuid, new_role, wms_role_record_id, entity_number_on_wms_record, etms_role_record_id, entity_number_on_etms_record, entity_number_verified, entity_number_final, existing_role_to_be_eliminated, parent_role_id_on_wms_record, parent_role_id_verified) VALUES ('R-6', 'Project-UUID-1-PH-2', true, NULL, NULL, NULL, NULL, NULL, 'Role-EN-24(new)', false, NULL, 'R-3');
INSERT INTO public.aiw_real_role_record_tbl (aiw_role_id, project_phase_uuid, new_role, wms_role_record_id, entity_number_on_wms_record, etms_role_record_id, entity_number_on_etms_record, entity_number_verified, entity_number_final, existing_role_to_be_eliminated, parent_role_id_on_wms_record, parent_role_id_verified) VALUES ('R-7', 'Project-UUID-1-PH-2', true, NULL, NULL, NULL, NULL, NULL, 'Role-EN-25(new)', false, NULL, 'R-3');


--
-- TOC entry 3027 (class 2606 OID 16815)
-- Name: aiw_capital_phase_tbl aiw_capital_phase_tbl_pk; Type: CONSTRAINT; Schema: public; Owner: twuser
--

ALTER TABLE ONLY public.aiw_capital_phase_tbl
    ADD CONSTRAINT aiw_capital_phase_tbl_pk PRIMARY KEY (phase_uuid);


--
-- TOC entry 3029 (class 2606 OID 16823)
-- Name: aiw_ghost_wms_asset_record_tbl aiw_ghost_wms_asset_record_tbl_pk; Type: CONSTRAINT; Schema: public; Owner: twuser
--

ALTER TABLE ONLY public.aiw_ghost_wms_asset_record_tbl
    ADD CONSTRAINT aiw_ghost_wms_asset_record_tbl_pk PRIMARY KEY (wms_asset_record_id);


--
-- TOC entry 3031 (class 2606 OID 16831)
-- Name: aiw_ghost_wms_role_record_tbl aiw_ghost_wms_role_record_tbl_pk; Type: CONSTRAINT; Schema: public; Owner: twuser
--

ALTER TABLE ONLY public.aiw_ghost_wms_role_record_tbl
    ADD CONSTRAINT aiw_ghost_wms_role_record_tbl_pk PRIMARY KEY (wms_role_record_id);


--
-- TOC entry 3033 (class 2606 OID 16839)
-- Name: aiw_instance_tbl aiw_instance_tbl_pk; Type: CONSTRAINT; Schema: public; Owner: twuser
--

ALTER TABLE ONLY public.aiw_instance_tbl
    ADD CONSTRAINT aiw_instance_tbl_pk PRIMARY KEY (aiw_project_uuid);


--
-- TOC entry 3035 (class 2606 OID 16847)
-- Name: aiw_real_asset_record_tbl aiw_real_asset_record_tbl_pk; Type: CONSTRAINT; Schema: public; Owner: twuser
--

ALTER TABLE ONLY public.aiw_real_asset_record_tbl
    ADD CONSTRAINT aiw_real_asset_record_tbl_pk PRIMARY KEY (asset_id);


--
-- TOC entry 3037 (class 2606 OID 16855)
-- Name: aiw_real_role_record_tbl aiw_real_role_record_tbl_pk; Type: CONSTRAINT; Schema: public; Owner: twuser
--

ALTER TABLE ONLY public.aiw_real_role_record_tbl
    ADD CONSTRAINT aiw_real_role_record_tbl_pk PRIMARY KEY (aiw_role_id);


--
-- TOC entry 3038 (class 1259 OID 16916)
-- Name: fki_aiw_full_role_record_tbl_aiw_capital_phase_tbl; Type: INDEX; Schema: public; Owner: twuser
--

CREATE INDEX fki_aiw_full_role_record_tbl_aiw_capital_phase_tbl ON public.aiw_real_role_record_tbl USING btree (project_phase_uuid);


--
-- TOC entry 3042 (class 2606 OID 16856)
-- Name: aiw_real_asset_record_tbl aiw_full_asset_record_tbl_aiw_capital_phase_tbl; Type: FK CONSTRAINT; Schema: public; Owner: twuser
--

ALTER TABLE ONLY public.aiw_real_asset_record_tbl
    ADD CONSTRAINT aiw_full_asset_record_tbl_aiw_capital_phase_tbl FOREIGN KEY (project_phase_uuid) REFERENCES public.aiw_capital_phase_tbl(phase_uuid);


--
-- TOC entry 3043 (class 2606 OID 16861)
-- Name: aiw_real_asset_record_tbl aiw_full_asset_record_tbl_aiw_full_role_record_tbl1; Type: FK CONSTRAINT; Schema: public; Owner: twuser
--

ALTER TABLE ONLY public.aiw_real_asset_record_tbl
    ADD CONSTRAINT aiw_full_asset_record_tbl_aiw_full_role_record_tbl1 FOREIGN KEY (occupied_role_id_on_wms_record) REFERENCES public.aiw_real_role_record_tbl(aiw_role_id);


--
-- TOC entry 3044 (class 2606 OID 16866)
-- Name: aiw_real_asset_record_tbl aiw_full_asset_record_tbl_aiw_full_role_record_tbl2; Type: FK CONSTRAINT; Schema: public; Owner: twuser
--

ALTER TABLE ONLY public.aiw_real_asset_record_tbl
    ADD CONSTRAINT aiw_full_asset_record_tbl_aiw_full_role_record_tbl2 FOREIGN KEY (occupied_role_id_final) REFERENCES public.aiw_real_role_record_tbl(aiw_role_id);


--
-- TOC entry 3045 (class 2606 OID 16871)
-- Name: aiw_real_asset_record_tbl aiw_full_asset_record_tbl_aiw_full_role_record_tbl3; Type: FK CONSTRAINT; Schema: public; Owner: twuser
--

ALTER TABLE ONLY public.aiw_real_asset_record_tbl
    ADD CONSTRAINT aiw_full_asset_record_tbl_aiw_full_role_record_tbl3 FOREIGN KEY (occupied_role_id_verified) REFERENCES public.aiw_real_role_record_tbl(aiw_role_id);


--
-- TOC entry 3046 (class 2606 OID 16911)
-- Name: aiw_real_role_record_tbl aiw_full_role_record_tbl_aiw_capital_phase_tbl; Type: FK CONSTRAINT; Schema: public; Owner: twuser
--

ALTER TABLE ONLY public.aiw_real_role_record_tbl
    ADD CONSTRAINT aiw_full_role_record_tbl_aiw_capital_phase_tbl FOREIGN KEY (project_phase_uuid) REFERENCES public.aiw_capital_phase_tbl(phase_uuid);


--
-- TOC entry 3040 (class 2606 OID 16901)
-- Name: aiw_ghost_wms_asset_record_tbl aiw_ghost_wms_asset_record_tbl_aiw_instance_tbl; Type: FK CONSTRAINT; Schema: public; Owner: twuser
--

ALTER TABLE ONLY public.aiw_ghost_wms_asset_record_tbl
    ADD CONSTRAINT aiw_ghost_wms_asset_record_tbl_aiw_instance_tbl FOREIGN KEY (phase_uuid) REFERENCES public.aiw_capital_phase_tbl(phase_uuid);


--
-- TOC entry 3041 (class 2606 OID 16906)
-- Name: aiw_ghost_wms_role_record_tbl aiw_ghost_wms_role_record_tbl_aiw_instance_tbl; Type: FK CONSTRAINT; Schema: public; Owner: twuser
--

ALTER TABLE ONLY public.aiw_ghost_wms_role_record_tbl
    ADD CONSTRAINT aiw_ghost_wms_role_record_tbl_aiw_instance_tbl FOREIGN KEY (phase_uuid) REFERENCES public.aiw_capital_phase_tbl(phase_uuid);


--
-- TOC entry 3039 (class 2606 OID 16896)
-- Name: aiw_capital_phase_tbl capital_phase_tbl_aiw; Type: FK CONSTRAINT; Schema: public; Owner: twuser
--

ALTER TABLE ONLY public.aiw_capital_phase_tbl
    ADD CONSTRAINT capital_phase_tbl_aiw FOREIGN KEY (aiw_project_uuid) REFERENCES public.aiw_instance_tbl(aiw_project_uuid);


-- Completed on 2021-06-10 08:58:04

--
-- PostgreSQL database dump complete
--

